#define INTEGER 257
#define BOOLEAN 258
#define STRING 259
#define CONSTANT 260
#define BODIES 261
#define BODY 262
#define JOINTS 263
#define JOINT 264
#define CONSTANTJOINT 265
#define EXPS 266
#define TIME 267
#define SIN 268
#define COS 269
#define LPAREN 270
#define RPAREN 271
#define PLUS 272
#define UNARYMINUS 273
#define TIMES 274
#define GREATER 275
#define LESS 276
#define COMMA 277
typedef union {
    Token               TOKENval;   /* type of all tokens*/
    Body *              BodyVal;
    Joint *             JointVal;
    Exp *               ExpVal;
    ConstExp *          ConstExpVal;
    Body::container *   BodyList;
    Joint::container *  JointList;
    Exp::container *    ExpList;
    V2fproxy            V2fVal;
} YYSTYPE;
extern YYSTYPE yylval;
